Bug 1006214 - Openstack Installer: packstack fails to install allinone, ERROR : 'CONFIG_NOVA_NETWORK_VLAN_START'
Openstack Installer: packstack fails to install allinone, ERROR : 'CONFIG_NOV...
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Martin Magr
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 05:01 EDT by Nir Magnezi
Modified: 2016-04-18 03:12 EDT (History)
4 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.9.dev756
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 04:38:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 45826 None None None Never

  None (edit)
Description Nir Magnezi 2013-09-10 05:01:00 EDT
Description of problem:
=======================
I tried to follow: 
http://openstack.redhat.com/QuickStartLatest#Step_3:_Run_Packstack_to_install_OpenStack 

packstack fails to install allinone with the following:

ERROR : 'CONFIG_NOVA_NETWORK_VLAN_START'

Version-Release number of selected component (if applicable):
=============================================================

How reproducible:
=================
3/3
Steps to Reproduce:
===================
1. Install openstack-packstack from RDO Repo*
2. $ packstack --allinone --os-neutron-install=n

*rdo-release-havana-6.noarch

Actual results:
===============
Installing:
Clean Up...                                            [ DONE ]
Adding pre install manifest entries...                 [ DONE ]
Setting up ssh keys...                                 [ DONE ]
Adding MySQL manifest entries...                       [ DONE ]
Adding QPID manifest entries...                        [ DONE ]
Adding Keystone manifest entries...                    [ DONE ]
Adding Glance Keystone manifest entries...             [ DONE ]
Adding Glance manifest entries...                      [ DONE ]
Installing dependencies for Cinder...                  [ DONE ]
Adding Cinder Keystone manifest entries...             [ DONE ]
Adding Cinder manifest entries...                      [ DONE ]
Checking if the Cinder server has a cinder-volumes vg...[ DONE ]
Adding Nova API manifest entries...                    [ DONE ]
Adding Nova Keystone manifest entries...               [ DONE ]
Adding Nova Cert manifest entries...                   [ DONE ]
Adding Nova Conductor manifest entries...              [ DONE ]
Adding Nova Compute manifest entries...                [ DONE ]
Adding Nova Scheduler manifest entries...              [ DONE ]
Adding Nova VNC Proxy manifest entries...              [ DONE ]
Adding Nova Common manifest entries...                 [ DONE ]
Adding Nova Network manifest entries...             [ ERROR ]

ERROR : 'CONFIG_NOVA_NETWORK_VLAN_START'
Please check log file /var/tmp/packstack/20130910-115514-EPfWQR/openstack-setup.log for more information


Expected results:
=================
Should not fail with this error.
Comment 1 Nir Magnezi 2013-09-10 05:06:07 EDT
The Traceback from openstack-setup.log:

2013-09-10 12:03:23::DEBUG::sequences::48::root:: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 46, in run
    self.function(config)
  File "/usr/lib/python2.6/site-packages/packstack/plugins/nova_300.py", line 489, in createnetworkmanifest
    manifestdata = getManifestTemplate("nova_network.pp")
  File "/usr/lib/python2.6/site-packages/packstack/modules/ospluginutils.py", line 72, in getManifestTemplate
    return fp.read() % controller.CONF
KeyError: 'CONFIG_NOVA_NETWORK_VLAN_START'

2013-09-10 12:03:23::ERROR::run_setup::913::root:: Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 894, in main
    single_step_aio_install(options)
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 667, in single_step_aio_install
    single_step_install(options)
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 697, in single_step_install
    _main(answerfilepath)
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 577, in _main
    runSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 554, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.6/site-packages/packstack/installer/setup_controller.py", line 90, in runAllSequences
    sequence.run(self.CONF)
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 105, in run
    step.run(config=config)
  File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 52, in run
    raise SequenceError(str(ex))
SequenceError: 'CONFIG_NOVA_NETWORK_VLAN_START'
Comment 2 Nir Magnezi 2013-09-10 06:46:00 EDT
Forgot to mention in Commenet #0:

packstack version: openstack-packstack-2013.2.1-0.7.dev752.el6.noarch
Installed with: rdo-release-havana-6.noarch
Comment 3 Pádraig Brady 2013-09-10 11:00:00 EDT
Patch upstram now https://review.openstack.org/#/c/45826/
Comment 4 Ami Jeain 2014-06-03 05:10:27 EDT
verified in latest puddle

Note You need to log in before you can comment on or make changes to this bug.